Edushade Docs
Curriculum

Clone curriculum

POST
/admin/learning/curriculum/{entity_type}/{entity_id}/items/clone
AuthorizationBearer <token>

In: header

Path Parameters

entity_typestring

Type of source context (course, cohort, learning_path)

Defaultnull
entity_idstring

ID of the source course, cohort, or learning path

Defaultnull
Formatuuid
include_contentboolean
Defaulttrue
target_idstring
Default"123e4567-e89b-12d3-a456-426614174008"
Formatuuid
target_typestring
Default"course"

Response Body

curl -X POST "https://edushade.com/api/v1/admin/learning/curriculum/{entity_type}/{entity_id}/items/clone" \
  -H "Content-Type: application/json" \
  -d '{
    "include_content": true,
    "target_id": "123e4567-e89b-12d3-a456-426614174008",
    "target_type": "course"
  }'
{}
Empty
Empty
Empty